package com.redhat.tremes;

import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.webapp.WebAppContext;

public class JettyAppMain {

    private static String contextPath = "/";
    private static String resourceBase = "src/main/webapp";
    private static String[] jettyConfigurationClasses = { "org.eclipse.jetty.webapp.WebXmlConfiguration", };

    public static void main(String[] args) throws Exception {

        Server server = new Server(8080);
        WebAppContext webapp = new WebAppContext();

        webapp.setConfigurationClasses(jettyConfigurationClasses);
        webapp.setContextPath(contextPath);
        webapp.setResourceBase(resourceBase);
        webapp.setClassLoader(Thread.currentThread().getContextClassLoader());

        server.setHandler(webapp);
        server.start();

        server.join();

    }

}
